VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::ProxyTypes::Message Class Reference

`Proxy.Message` class Test result and message More...

List of all members.

## Public Member Functions
| Message ()
| Creates a default new instance.
string | GetMessage ()
| message
void | SetMessage (string message)
| message
vmware.appliance.techpreview.networking.ProxyTypes.MessageStatus | GetResult ()
| result of the test
void | SetResult (vmware.appliance.techpreview.networking.ProxyTypes.MessageStatus result)
| result of the test
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Proxy.Message` class Test result and message

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::ProxyTypes::Message::Message | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::ProxyTypes::Message::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::ProxyTypes::Message::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::ProxyTypes::Message::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::ProxyTypes::Message::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::ProxyTypes::Message::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::ProxyTypes::Message::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::techpreview::networking::ProxyTypes::Message::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::networking::ProxyTypes::Message::GetMessage | ( |  | ) | `[inline]`

message

vmware.appliance.techpreview.networking.ProxyTypes.MessageStatus vmware::appliance::techpreview::networking::ProxyTypes::Message::GetResult | ( |  | ) | `[inline]`

result of the test

void vmware::appliance::techpreview::networking::ProxyTypes::Message::SetMessage | ( | string | message | ) | `[inline]`

message

void vmware::appliance::techpreview::networking::ProxyTypes::Message::SetResult | ( | vmware.appliance.techpreview.networking.ProxyTypes.MessageStatus | result | ) | `[inline]`

result of the test

override string vmware::appliance::techpreview::networking::ProxyTypes::Message::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ProxyTypes.cs